body {
    margin: 0;
    padding: 0;
    background-image: url('https://wallpapercave.com/wp/wp11764439.jpg');
    background-size: cover;
    font-family: Arial, sans-serif;
    height: 100vh;
}

.login-container {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 20px;
    background-color: rgba(255, 255, 255, 0.8);
    border-radius: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    text-align: center;
    width: 80%; /* Adjusted width for desktop */
    max-width: 400px; /* Added max-width for smaller screens */
}

.login-container h2 {
    color: #333;
}

.login-form {
    margin-top: 20px;
}

.login-form label,
.login-form input {
    display: block;
    margin-bottom: 10px;
}

.login-form input {
    width: 100%;
    padding: 10px;
    box-sizing: border-box;
    border-radius: 5px;
}

.login-form button {
    background-color: #4CAF50;
    color: white;
    padding: 10px 15px;
    border: none;
    border-radius: 5px;
    cursor: pointer;
}

.login-form button:hover {
    background-color: #45a049;
}

.navigation-buttons {
    margin-top: 20px;
}

.navigation-buttons a {
    display: inline-block;
    text-decoration: none;
    padding: 10px 15px;
    margin: 0 10px;
    border-radius: 5px;
    background-color: #45a049;
    color: white;
}

.navigation-buttons a:hover {
    background-color: #45a049;
}

/* Media Queries for Responsive Design */

@media only screen and (max-width: 768px) {
    .login-container {
        width: 90%;
    }
}